=== debian/changelog ===
linuxmuster-schulkonsole (0.36.0-27) babo62; urgency=low

  * convert line endings in write_file
  * accept "-" in  linuxmuster-wlan-reset

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 25 Feb 2017 16:45:41 +0100

linuxmuster-schulkonsole (0.36.0-26) babo62; urgency=low

  * fix #668 by removing exceptionally old lock file

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 05 Feb 2017 19:45:14 +0100

linuxmuster-schulkonsole (0.36.0-25) babo62; urgency=low

  * fix gid for sophomorix-teacher, set umask 002

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 19:49:09 +0100

linuxmuster-schulkonsole (0.36.0-24) babo62; urgency=low

  * fix error Perl Kompilierungsfehler/usr/lib/schulkonsole/bin/wrapper-radius

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 17:51:27 +0100

linuxmuster-schulkonsole (0.36.0-23) babo62; urgency=low

  * fix for #649: Bindestrich in Gruppennamen fuehrt zu Problemen

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 13:55:55 +0100

linuxmuster-schulkonsole (0.36.0-22) babo62; urgency=low

  * New skin with new logo

 -- Frank Schiebel <frank@linuxmuster.net>  Mon, 05 Dec 2016 11:30:31 +0100

linuxmuster-schulkonsole (0.36.0-21) babo62; urgency=low

  * fix wrong rights on exam handout

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 25 Nov 2016 10:48:06 +0100

linuxmuster-schulkonsole (0.36.0-20) babo62; urgency=low

  * correct shtml -> tt in apache2.conf

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 24 Nov 2016 11:06:41 +0100

linuxmuster-schulkonsole (0.36.0-19) babo62; urgency=low

  * updated translations (pr #18,#19) from zefanja

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 06 Nov 2016 12:17:10 +0100

linuxmuster-schulkonsole (0.36.0-18) babo62; urgency=low

  * fix #640 english translation not available
  * fix #613 pages remain in grey

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 24 Oct 2016 13:27:52 +0200

linuxmuster-schulkonsole (0.36.0-17) babo62; urgency=low

  * fix wrong catchall INVALID_SESSION (lead to Ungültige Session)

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 03 Oct 2016 19:31:32 +0200

linuxmuster-schulkonsole (0.36.0-16) babo62; urgency=low

  * fix #632; Tauschen global kann nicht geschaltet werden

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 02 Oct 2016 12:32:23 +0200

linuxmuster-schulkonsole (0.36.0-15) babo62; urgency=low

  * fix #628 project_handoutcopy file empty

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 24 Sep 2016 08:48:22 +0200

linuxmuster-schulkonsole (0.36.0-14) babo62; urgency=low

  * fix "Keine Gruppen angegeben" bug by reordering arguments to wrapper-radius

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 23 Sep 2016 18:57:01 +0200

linuxmuster-schulkonsole (0.36.0-13) babo62; urgency=low

  * fixed #627 - import workstations not working as expected

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 17 Sep 2016 06:31:05 +0200

linuxmuster-schulkonsole (0.36.0-12) babo62; urgency=low

  * fix postsync line endings

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 02 Sep 2016 17:25:58 +0200

linuxmuster-schulkonsole (0.36.0-11) babo62; urgency=low

  * fix display of wrong sophomorix error
  * fix some issues with wlan switching and wlan project
  * fix postinst script: modify p_wifi as caller root

 -- Frank Schütte <fschuett@gymhim.de>  Wed, 31 Aug 2016 13:05:45 +0200

linuxmuster-schulkonsole (0.36.0-10) babo62; urgency=low

  * fix linuxmuster-wlan-reset being superficial (#620)

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 27 Aug 2016 15:42:57 +0200

linuxmuster-schulkonsole (0.36.0-9) babo62; urgency=low

  * fix line endings on gruppe.cfg editing

 -- Frank Schütte <fschuett@gymhim.de>  Tue, 26 Jul 2016 22:30:16 +0200

linuxmuster-schulkonsole (0.36.0-8) babo62; urgency=low

  * fix permissions of var/lib/schulkonsole

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 25 Jul 2016 08:45:36 +0200

linuxmuster-schulkonsole (0.36.0-7) babo62; urgency=low

  * fix quota not showing, settings_users quota

 -- root <root@linuxmuster.local>  Sat, 16 Jul 2016 09:48:12 +0200

linuxmuster-schulkonsole (0.36.0-6) babo62; urgency=low

  * fix for no autostart not shown for autostart selected

 -- root <root@linuxmuster.local>  Fri, 15 Jul 2016 16:42:08 +0200

linuxmuster-schulkonsole (0.36.0-5) babo62; urgency=low

  * fix start page template to turn autocomplete off, enter off

 -- root <root@linuxmuster.local>  Mon, 11 Jul 2016 17:03:35 +0200

linuxmuster-schulkonsole (0.36.0-4) babo62; urgency=low

  * rename apache2 link to 200-schulkonsole.conf

 -- root <root@linuxmuster.local>  Wed, 06 Jul 2016 19:46:40 +0200

linuxmuster-schulkonsole (0.36.0-3) babo62; urgency=low

  * p_wifi: set administrator as only admin

 -- root <root@linuxmuster.local>  Mon, 04 Jul 2016 13:08:47 +0200

linuxmuster-schulkonsole (0.36.0-2) babo62; urgency=low

  * p_wifi: addadmin administrator, set flag nojoin

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 12:22:20 +0200

linuxmuster-schulkonsole (0.36.0-1) babo62; urgency=low

  * require linuxmuster-base 6.2.0, sophomorix 2.4.59 to reflect linuxmuster.net 6.2

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 10:08:16 +0200

linuxmuster-schulkonsole (0.35.1-2) babo62; urgency=low

  * fix info on image copy (#504)
  * fix some minor problems on page linbo_images

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 09:07:04 +0200

linuxmuster-schulkonsole (0.35.1-1) babo62; urgency=low

  * readd old templates
  * fix some errors related to start.conf checking
  * fix some linbo_new errors

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 20 Jun 2016 13:44:27 +0200

linuxmuster-schulkonsole (0.35.1-0) babo62; urgency=low

  * add missing msr partition type
  * Session.pm.in -> Session.pm, Config.pm.in -> Config.pm

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 16 Jun 2016 12:44:47 +0200

linuxmuster-schulkonsole (0.35.0-1) babo-testing; urgency=low

  * move rooms menu to settings_rooms #590

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 27 May 2016 16:50:46 +0200


