=== debian/control ===
Source: linuxmuster-schulkonsole
Section: admin
Priority: optional
Maintainer: Frank Schütte <fschuett@gymhim.de>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libhtml-parser-perl, libtemplate-perl,
               liblocale-maketext-lexicon-perl, fakeroot
Standards-Version: 3.7.2

Package: linuxmuster-schulkonsole
Architecture: all
Pre-Depends: cyrus-common | cyrus21-common | cyrus22-common | cyrus-common-2.2
Depends: linuxmuster-schulkonsole-wrapper (>= ${source:Version}),
         linuxmuster-schulkonsole-wrapper (<< ${source:Version}.1~),
         sophomorix-base (>=2.4.59), sophomorix-pgldap (>=2.4.59),
         linuxmuster-base (>=6.2.0),
         libcgi-pm-perl, libcgi-session-perl, liblocale-gettext-perl, libhtml-parser-perl,
         libdbi-perl, libdbd-odbc-perl | libdbd-pg-perl, libcrypt-passwdmd5-perl,
         libcrypt-smbhash-perl, libnet-cups-perl (>= 0.55), libcrypt-rijndael-perl,
         libnet-imap-simple-perl, libenv-bash-perl, libproc-processtable-perl,
         ${perl:Depends}, ${misc:Depends}, libcrypt-cbc-perl, libtemplate-perl,
         libdata-password-perl, liblatex-encode-perl, liblatex-decode-perl,
         libjs-jquery, libjs-jquery-ui, javascript-common
Recommends: libtemplate-perl-doc
Provides: linuxmuster-schulkonsole-template
Conflicts: linuxmuster-schulkonsole-template
Replaces: linuxmuster-schulkonsole-template
Description: web-based administration tool for linuxmuster.net
 Schulkonsole is a web-interface for linuxmuster.net systems.

Package: linuxmuster-schulkonsole-wrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: linuxmuster-schulkonsole-wrapper
Description: suid-wrappers for schulkonsole
 Schulkonsole is a web-interface for linuxmuster.net.
 .
 This package contains the wrappers to allow execution of utility-programs
 under different uid
